


<div>
	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card mt-20"
		*ngIf="applications"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">
		<table mat-table [dataSource]="applications"
			matSort
			(matSortChange)="sortEvent.next($event)"
			[matSortActive]="params.sortby"
			[matSortDirection]="params.order">

			<ng-container matColumnDef="select">
				<th mat-header-cell *matHeaderCellDef>
					<mat-checkbox></mat-checkbox>
				</th>

				<td mat-cell *matCellDef="let row">
					<mat-checkbox></mat-checkbox>
				</td>
			</ng-container>

			<!-- Columns number -->
			<ng-container matColumnDef="number">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="app_number"> Номер</th>
				<td mat-cell *matCellDef="let row"> {{row.app_number}} </td>
			</ng-container>
			<ng-container matColumnDef="numberSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_number"
								(input)="search.next(params)"
								placeholder="Поиск по номеру">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<!-- Columns fullname -->
			<ng-container matColumnDef="fullname">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="entrant_fullname"> ФИО</th>
				<td mat-cell *matCellDef="let row"> {{row.entrant_fullname}} </td>
			</ng-container>
			<ng-container matColumnDef="fullnameSearch">
				<th mat-header-cell *matHeaderCellDef>
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_entrant_fullname"
								(input)="search.next(params)"
								placeholder="Поиск по ФИО">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<!-- Columns snils -->
			<ng-container matColumnDef="snils">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="entrant_snils"> СНИЛС</th>
				<td mat-cell *matCellDef="let row"> {{row.entrant_snils}} </td>
			</ng-container>
			<ng-container matColumnDef="snilsSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_snils"
								(input)="search.next(params)"
								placeholder="Поиск по СНИЛС">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="nameCompetitive">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="name_competitive_group"> Конкурсная группа</th>
				<td mat-cell *matCellDef="let row"> {{row.name_competitive_group}} </td>
			</ng-container>
			<ng-container matColumnDef="nameCompetitiveSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="stateName">
				<th mat-header-cell *matHeaderCellDef  mat-sort-header="name_status"> Статус</th>
				<td mat-cell *matCellDef="let row">
					<div class="status">
						<span class="indicator" [appStatusCode]="row.code_status"></span>
						<span>{{row.name_status}}</span>
					</div>
				</td>
			</ng-container>
			<ng-container matColumnDef="stateNameSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="registrationDate">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="registration_date"> Дата регистрации</th>
				<td mat-cell *matCellDef="let row"> {{row.registration_date | date:'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>
			<ng-container matColumnDef="registrationDateSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="changedDate">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="changed"> Дата изменения</th>
				<td mat-cell *matCellDef="let row"> {{row.changed | date:'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>
			<ng-container matColumnDef="changedDateSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="original">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="original"> Оригинал док-та об образ-нии</th>
				<td mat-cell *matCellDef="let row" class="text-center"> {{row.original | yesNo}} </td>
			</ng-container>
			<ng-container matColumnDef="originalSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="agreed">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="agreed"> Согласие на зачисление</th>
				<td mat-cell *matCellDef="let row" class="text-center"> {{row.agreed !== null? (row.agreed | yesNo) : '-'}} </td>
			</ng-container>
			<ng-container matColumnDef="agreedSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="agreedDate">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="agreed_date"> Дата согласия</th>
				<td mat-cell *matCellDef="let row"> {{row.agreed_date | date: 'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>
			<ng-container matColumnDef="agreedDateSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>
			<ng-container matColumnDef="disagreed">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="disagreed"> Отзыв согласия на зачисление</th>
				<td mat-cell *matCellDef="let row" class="text-center">
					{{row.disagreed !== null?  (row.disagreed | yesNo ) :  '-'}}
				</td>
			</ng-container>
			<ng-container matColumnDef="disagreedSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="disagreedDate">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="disagreed_date"> Дата отзыва согласия</th>
				<td mat-cell *matCellDef="let row"> {{row.disagreed_date | date: 'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>
			<ng-container matColumnDef="disagreedDateSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>

			<ng-container matColumnDef="needHostel">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="need_hostel">Общежитие</th>
				<td mat-cell *matCellDef="let row" class="text-center"> {{row.need_hostel | yesNo}} </td>
			</ng-container>
			<ng-container matColumnDef="needHostelSearch">
				<th mat-header-cell *matHeaderCellDef ></th>
			</ng-container>

			<ng-container matColumnDef="rating">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="rating">Рейтинг</th>
				<td mat-cell *matCellDef="let row" class="text-center"> {{row.rating}} </td>
			</ng-container>
			<ng-container matColumnDef="ratingSearch">
				<th mat-header-cell *matHeaderCellDef></th>
			</ng-container>


			<ng-container matColumnDef="epgu">
				<th mat-header-cell *matHeaderCellDef mat-sort-header="uid_epgu">ЕПГУ</th>
				<td mat-cell *matCellDef="let row"> {{row.uid_epgu}} </td>
			</ng-container>
			<ng-container matColumnDef="epguSearch">
				<th mat-header-cell *matHeaderCellDef>
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_uid_epgu"
								(input)="search.next($event.target.value)"
								placeholder="Поиск uid ЕПГУ">
						</mat-form-field>
					</div>


				</th>
			</ng-container>


			<ng-container matColumnDef="action">
				<th mat-header-cell *matHeaderCellDef>
				</th>
				<td mat-cell *matCellDef="let item;">
				</td>
			</ng-container>

			<ng-container matColumnDef='actionSearch'>
				<th mat-header-cell *matHeaderCellDef>
					<button mat-icon-button
						(click)="clearFilter($event)"
						[disabled]="! (this.params.search_number
				|| this.params.search_entrant_fullname
				|| this.params.search_snils
				|| this.params.search_uid_epgu)"
						matTooltip="Очистить фильтр"
						color="primary">
						<mat-icon svgIcon="cancel"></mat-icon>
					</button>
				</th>
			</ng-container>

			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef [colSpan]="columnsHeader.length"><i>Заявлений не найдено</i></td>
			</ng-container>


			<tr mat-header-row *matHeaderRowDef="columnsHeader"></tr>
			<tr mat-header-row *matHeaderRowDef="searchColumnsHeader" class="searchColumns"></tr>
			<tr mat-row class="table-row" *matRowDef="let row; columns: columnsHeader "
				[routerLink]="['../../../application', row.id]"
				[hidden]="applications.length === 0"></tr>
			<tr mat-footer-row *matFooterRowDef="['noRecord'] "
				[hidden]="applications.length !== 0"></tr>

		</table>

		<mat-paginator [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>

	</div>
</div>
